
package
{
	import flash.display.*;

	public class BloodParticle extends Particle
	{
		[Embed(source="images/blood.png")]
		public static var bloodSrc: Class;
		
		public function BloodParticle (_x: Number, _y: Number, _vx: Number = 0, _vy: Number = 0)
		{
			super(_x, _y, _vx, _vy);
			
			vx += Math.random() - 0.5;
			vy += Math.random() - 0.5;
			
			var image: Bitmap = new bloodSrc();
			
			image.x = -image.width / 2;
			image.y = -image.height / 2;
			
			addChild(image);
			
			scaleX = 0.75;
			scaleY = 0.75;
		}
		
		public override function update (): void
		{
			super.update();
			
			scaleX -= 0.005;
			scaleY -= 0.005;
			
			if (alpha > 0)
			{
				alpha -= 0.01;
			}
			else
			{
				dead = true;
			}
		}
		
	}

}


