
package
{
	import flash.events.*;
	import flash.media.*;
	import flash.utils.*;
	
	public class AudioControl
	{
		[Embed(source="audio/music.mp3")]
		public static var musicSrc:Class;
		
		public static var music: Sound = new musicSrc();
		
		public static var musicChannel : SoundChannel;
		
		[Embed(source="audio/alien-death.mp3")]
		public static var alienDeathSrc:Class;
		
		public static var alienDeathSounds: Sound = new alienDeathSrc();
		
		private static var alienDeathsQueued: uint = 0;
		
		private static var playingAlienDeathSound: Boolean = false;
		
		[Embed(source="audio/player-death.mp3")]
		public static var playerDeathSrc:Class;
		
		public static var playerDeathSound: Sound = new playerDeathSrc();
		
		public static function playMusic (): void
		{
			if (! musicChannel)
			{
				musicChannel = music.play(0, int.MAX_VALUE);
			}
		}
		
		public static function stopMusic (): void
		{
			if (musicChannel)
			{
				musicChannel.stop();
				musicChannel = null;
			}
		}
		
		public static function playAlienDeathSound (): void
		{
			/*alienDeathsQueued++;
			
			if (! playingAlienDeathSound)
			{
				playingAlienDeathSound = true;
				
				function runMe():void{
					if (alienDeathsQueued == 0) { playingAlienDeathSound = false; return; }
					*/
				    playAlienDeathSoundReally();
				    /*
					alienDeathsQueued--;
					
					var timer : Timer = new Timer(500);
					timer.addEventListener(TimerEvent.TIMER, runMe);
					timer.start();
				}
				
				runMe();
			}*/
		}
		
		public static function playAlienDeathSoundReally () : void
		{
			//if (! mute)
			{
				var i : int = (Math.random() * 5);
				
				var channel : SoundChannel = alienDeathSounds.play(i * 2000);
				
				if (channel)
				{
					var timer : Timer = new Timer(1000);
					timer.addEventListener(TimerEvent.TIMER, runMe2);
					timer.start();
					
					function runMe2():void{
					    channel.stop();
					}
				}
			}
		}
		
		public static function playPlayerDeathSound () : void
		{
			//if (! mute)
			{
				//stopMusic()
				playerDeathSound.play();
			}
		}
		
	}

}


